# JuliaTikzModule.jl

Enables Julia code and Tikz code to coexist in the same file. 

For installation, se the end of this README,

### JuliaTikz

`    JuliaTikz(tikzfile,delete=true)`

Extract and run the Julia part of a combined tikz/Julia file.

The boundary between the two is the string
 
`    \endinput Julia <name>`

where `<name>` is the name that will be given to the Julia file 
(with .jl appended), and also to a variable `name` in the program,
i.e. `name = "<name>"`.

The Julia file will be extracted to a temporary directory, which will be 
deleted  after the run unless the optional argument `delete` is false.

### printcsv

`    printcsv(data::Array{Any}, csv="")`

Print the array `data` to a file suitable for inclusion in pgfplots.
The columns of `data` should have a string as first element, and Float64
as the remaining elements.

The default name of the file will be `<name>.csv`, where `<name>` is the value
of the global variable `name`, typically given by `JuliaTikz`. Another name may 
be specified whith the second argument of `printcsv`.

## installation
To install,  start by pushing the `clone` button in this repo and  copying the URL. The HTTPS version should
always work, the SSH version should work if you have a suitable ssh key.

Enter the Pkg REPL by pressing `]` from the Julia REPL. You should get a prompt like
`(@v1.4) pkg> `.  To add this package, type

`    (@v1.4) pkg> add <URL>  `

where ´<URL>` is the value you got from the clone commands above. Leave the Pkg by 
pressing backspace or ^C. You can now type `using JuliaTikzModule` if you like.
